org.eclnt.jsfserver.elements.componentnodes

## Class UI5_HORIZONTALDIVIDERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5_HORIZONTALDIVIDERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5_HORIZONTALDIVIDERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5_HORIZONTALDIVIDERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5_HORIZONTALDIVIDERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `bindHorizontaldividerheight(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `bindHorizontaldividertype(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `bindLayoutdata(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `UI5_HORIZONTALDIVIDERNode` | `setAdapterbinding(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setAttributemacro(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setComment(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setConfiginfo(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setHorizontaldividerheight(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setHorizontaldividertype(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setId(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setLayoutdata(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setReference(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setRendered(boolean value)`
    `UI5_HORIZONTALDIVIDERNode` | `setRendered(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setStyleseq(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setStylevariant(java.lang.String value)`
    `UI5_HORIZONTALDIVIDERNode` | `setWidth(int value)`
    `UI5_HORIZONTALDIVIDERNode` | `setWidth(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5_HORIZONTALDIVIDERNode

          public UI5_HORIZONTALDIVIDERNode()

  - ### Method Detail

    - #### setId

          public UI5_HORIZONTALDIVIDERNode setId(java.lang.String value)

    - #### setAdapterbinding

          public UI5_HORIZONTALDIVIDERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5_HORIZONTALDIVIDERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5_HORIZONTALDIVIDERNode setAttributemacro(java.lang.String value)

    - #### setComment

          public UI5_HORIZONTALDIVIDERNode setComment(java.lang.String value)

    - #### bindComment

          public UI5_HORIZONTALDIVIDERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5_HORIZONTALDIVIDERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5_HORIZONTALDIVIDERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHorizontaldividerheight

          public UI5_HORIZONTALDIVIDERNode setHorizontaldividerheight(java.lang.String value)

    - #### bindHorizontaldividerheight

          public UI5_HORIZONTALDIVIDERNode bindHorizontaldividerheight(IDynamicContentBindingObject value)

    - #### setHorizontaldividertype

          public UI5_HORIZONTALDIVIDERNode setHorizontaldividertype(java.lang.String value)

    - #### bindHorizontaldividertype

          public UI5_HORIZONTALDIVIDERNode bindHorizontaldividertype(IDynamicContentBindingObject value)

    - #### setLayoutdata

          public UI5_HORIZONTALDIVIDERNode setLayoutdata(java.lang.String value)

    - #### bindLayoutdata

          public UI5_HORIZONTALDIVIDERNode bindLayoutdata(IDynamicContentBindingObject value)

    - #### setReference

          public UI5_HORIZONTALDIVIDERNode setReference(java.lang.String value)

    - #### setRendered

          public UI5_HORIZONTALDIVIDERNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5_HORIZONTALDIVIDERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5_HORIZONTALDIVIDERNode setRendered(boolean value)

    - #### setStyleseq

          public UI5_HORIZONTALDIVIDERNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5_HORIZONTALDIVIDERNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5_HORIZONTALDIVIDERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5_HORIZONTALDIVIDERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5_HORIZONTALDIVIDERNode setWidth(java.lang.String value)

    - #### bindWidth

          public UI5_HORIZONTALDIVIDERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public UI5_HORIZONTALDIVIDERNode setWidth(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.